Loading...
Searching...
No Matches
bsoncxx::types::b_regex Struct Reference

`#include <bsoncxx/v_noabi/bsoncxx/types.hpp>`

## Description

A BSON regex value.

## Public Member Functions

template<typename T, typename U = stdx::string_view, detail::requires_not_t< int, detail::is_alike< b_regex, T > > = 0>
| b_regex (T &&regex, U &&options=U{})
| Constructor for b_regex.

## Related Symbols

(Note that these are not member symbols.)
bool | operator!= (b_regex const &lhs, b_regex const &rhs)
| free function comparator for b_regex
bool | operator== (b_regex const &lhs, b_regex const &rhs)
| free function comparator for b_regex

## Constructor & Destructor Documentation

## b_regex()

template<typename T, typename U = stdx::string_view, detail::requires_not_t< int, detail::is_alike< b_regex, T > > = 0>

bsoncxx::v_noabi::types::b_regex::b_regex | ( | T && | regex,
|  | U && | options = U{} )

inline explicit

Constructor for b_regex.

Parameters

  regex | The regex pattern
  options | The regex options

## Friends And Related Symbol Documentation

## operator!=()

bool operator!= | ( | b_regex const & | lhs,
|  | b_regex const & | rhs )

related

free function comparator for b_regex

## operator==()

bool operator== | ( | b_regex const & | lhs,
|  | b_regex const & | rhs )

related

free function comparator for b_regex

The documentation for this struct was generated from the following file:

- bsoncxx/v_noabi/bsoncxx/types.hpp